%define upstream_name	 GnuPG-Interface
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    GnuPG-Interface module for perl
Group:      Development/Perl
License:    GPL
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/GnuPG/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Fatal)
BuildRequires: perl(Math::BigInt) >= 1.780.0
BuildRequires: perl(Moo) >= 0.91.11
BuildRequires: perl(MooX::HandlesVia) >= 0.1.4
BuildRequires: perl(MooX::late) >= 0.14.0
BuildRequires: perl(Scalar::Util)
BuildRequires: gnupg2
BuildArch:  noarch

Requires:   perl(Class::MethodMaker)
%{?perl_default_filter}

%description
GnuPG::Interface and its associated modules
are designed to provide an object-oriented
method for interacting with GnuPG, being able
to perform functions such as but not limited
to encrypting, signing, decryption, verification,
and key-listing parsing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make

%install
%make_install

%check
make test
#perl -mExpect -e 'my $e=Expect->spawn("make test");
#$e->expect(undef);
#exit $e->exitstatus()'

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/GnuPG
%{_mandir}/*/*

%changelog
* Fri Dec 15 2023 tv <tv> 1.40.0-1.mga10
+ Revision: 2018234
- update to 1.04

* Mon Sep 18 2023 tv <tv> 1.30.0-1.mga10
+ Revision: 1987692
- update to 1.03

* Wed Mar 30 2022 umeabot <umeabot> 1.20.0-2.mga9
+ Revision: 1834142
- Mageia 9 Mass Rebuild

* Mon Apr 19 2021 tv <tv> 1.20.0-1.mga9
+ Revision: 1716870
- update to 1.02

* Thu Feb 25 2021 tv <tv> 1.10.0-1.mga9
+ Revision: 1691322
- update to 1.01

* Sat May 16 2020 tv <tv> 1.0.0-1.mga8
+ Revision: 1584400
- update to 1.00

* Thu Feb 13 2020 tv <tv> 0.520.0-7.mga8
+ Revision: 1513107
- patch GnuPG-Interface to work with GnuPG2
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.520.0-6.mga7
+ Revision: 1283945
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.520.0-5.mga7
+ Revision: 1164587
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.520.0-4.mga7
+ Revision: 1160239
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.520.0-3.mga6
+ Revision: 1027955
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.520.0-2.mga6
+ Revision: 967210
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.520.0-1.mga6
+ Revision: 848520
- update to 0.52

* Wed Oct 15 2014 umeabot <umeabot> 0.500.0-4.mga5
+ Revision: 746180
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.500.0-2.mga5
+ Revision: 684886
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 jquelin <jquelin> 0.500.0-1.mga5
+ Revision: 616289
- update to 0.50
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.460.0-2.mga3
+ Revision: 367835
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.460.0-1.mga3
+ Revision: 315072
- update to 0.46

* Mon Oct 15 2012 jquelin <jquelin> 0.450.0-1.mga3
+ Revision: 306105
- update to 0.45

* Wed Jun 15 2011 jquelin <jquelin> 0.440.0-1.mga2
+ Revision: 106969
- update to 0.44

* Thu Mar 10 2011 jquelin <jquelin> 0.430.0-1.mga1
+ Revision: 67475
- try tests without expect
- update to 0.43

* Mon Jan 24 2011 jquelin <jquelin> 0.420.0-2.mga1
+ Revision: 36287
- mageia rebuild
- imported package perl-GnuPG-Interface

